Data Fields

# NewGRFCache Struct Reference

Cached often queried (NewGRF) values. More...

`#include <vehicle_base.h>`

## Data Fields
uint32 | position_consist_length
| Cache for NewGRF var 40.
uint32 | position_same_id_length
| Cache for NewGRF var 41.
uint32 | consist_cargo_information
| Cache for NewGRF var 42. (Note: The cargotype is untranslated in the cache because the accessing GRF is yet unknown.).
uint32 | company_information
| Cache for NewGRF var 43.
uint8 | cache_valid
| Bitset that indicates which cache values are valid.

## Detailed Description

Cached often queried (NewGRF) values.

Definition at line 60 of file vehicle_base.h.

The documentation for this struct was generated from the following file:

- src/vehicle_base.h